Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi.entry
Class StructuredCollectionCacheEntry

    java.lang.Object
      org.hibernate.cache.spi.entry.StructuredCollectionCacheEntry

All Implemented Interfaces:
  CacheEntryStructure

    public class StructuredCollectionCacheEntry

extends Object
implements CacheEntryStructure

Constructor Summary
`StructuredCollectionCacheEntry()`

Method Summary
`Object` | `destructure(Object item, SessionFactoryImplementor factory)`
`Object` | `structure(Object item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredCollectionCacheEntry

    public StructuredCollectionCacheEntry()

Method Detail

### structure

    public Object structure(Object item)

  Specified by:
    `structure` in interface `CacheEntryStructure`

### destructure

    public Object destructure(Object item,
                              SessionFactoryImplementor factory)

  Specified by:
    `destructure` in interface `CacheEntryStructure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.